package textures.player;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/*  ------------- Nihilne ------------
    * Created by Mitch Weaver - 2016 *
      ~~~~ All Rights Reserved ~~~~ */

public class PlayerAxeChopTextures {

	public static void getTextures(BufferedImage image){
		/*** FACING SOUTH ***/
		Textures.basePlayerAxeSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.basePlayerAxeSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.basePlayerAxeSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.basePlayerAxeSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);
		/*** FACING NORTH ***/
		Textures.basePlayerAxeSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.basePlayerAxeSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.basePlayerAxeSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.basePlayerAxeSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);
		/*** FACING WEST ***/
		Textures.basePlayerAxeSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.basePlayerAxeSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.basePlayerAxeSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.basePlayerAxeSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);
		/*** FACING EAST ***/
		Textures.basePlayerAxeSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.basePlayerAxeSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.basePlayerAxeSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.basePlayerAxeSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);
		/*** FACING NW ***/
		Textures.basePlayerAxeSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.basePlayerAxeSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.basePlayerAxeSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.basePlayerAxeSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);
		/*** FACING NE ***/
		Textures.basePlayerAxeSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.basePlayerAxeSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.basePlayerAxeSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.basePlayerAxeSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);
		/*** FACING SW ***/
		Textures.basePlayerAxeSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.basePlayerAxeSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.basePlayerAxeSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.basePlayerAxeSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);
		/*** FACING SE ***/
		Textures.basePlayerAxeSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.basePlayerAxeSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.basePlayerAxeSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.basePlayerAxeSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
}
